<?php
$c_p_t_taxonomy = get_option( 'c_p_t_taxonomy' );

// Main settings 
$slug               = ( isset( $_POST['_taxonomies_slug'] )                 ? sanitize_text_field( $_POST['_taxonomies_slug'] )                 : '' );
$name               = ( isset( $_POST['_taxonomies_name'] )                 ? sanitize_text_field( $_POST['_taxonomies_name'] )                 : '' );
$singular_name      = ( isset( $_POST['_taxonomies_singular_name'] )        ? sanitize_text_field( $_POST['_taxonomies_singular_name'] )        : '' );
$search_items       = ( isset( $_POST['_taxonomies_search_items'] )         ? sanitize_text_field( $_POST['_taxonomies_search_items'] )         : '' );
$all_items          = ( isset( $_POST['_taxonomies_all_items'] )            ? sanitize_text_field( $_POST['_taxonomies_all_items'] )            : '' );
$parent_item        = ( isset( $_POST['_taxonomies_parent_item'] )          ? sanitize_text_field( $_POST['_taxonomies_parent_item'] )          : '' );
$parent_item_colon  = ( isset( $_POST['_taxonomies_parent_item_colon'] )    ? sanitize_text_field( $_POST['_taxonomies_parent_item_colon'] )    : '' );
$edit_item          = ( isset( $_POST['_taxonomies_edit_item'] )            ? sanitize_text_field( $_POST['_taxonomies_edit_item'] )            : '' );
$update_item        = ( isset( $_POST['_taxonomies_update_item'] )          ? sanitize_text_field( $_POST['_taxonomies_update_item'] )          : '' );
$add_new_item       = ( isset( $_POST['_taxonomies_add_new_item'] )         ? sanitize_text_field( $_POST['_taxonomies_add_new_item'] )         : '' );
$new_item_name      = ( isset( $_POST['_taxonomies_new_item_name'] )        ? sanitize_text_field( $_POST['_taxonomies_new_item_name'] )        : '' );
$menu_name          = ( isset( $_POST['_taxonomies_menu_name'] )            ? sanitize_text_field( $_POST['_taxonomies_menu_name'] )            : '' );
$taxonomy_post      = ( isset( $_POST['_taxonomy_post'] )                   ? sanitize_text_field( $_POST['_taxonomy_post'] )                   : '' );

if( !empty( $slug ) && !empty( $name ) && !empty( $taxonomy_post ) ) {
    $c_p_t_taxonomy[$slug] = [
        'post_type'         => $taxonomy_post,
        'name'              => $name,
        'singular_name'     => $singular_name,
        'search_items'      => $search_items,
        'all_items'         => $all_items,
        'parent_item'       => $parent_item,
        'parent_item_colon' => $parent_item_colon,
        'edit_item'         => $edit_item,
        'update_item'       => $update_item,
        'add_new_item'      => $add_new_item,
        'new_item_name'     => $new_item_name,
        'menu_name'         => $menu_name,
    ];

    if( is_array( $c_p_t_taxonomy ) ) {
        update_option( 'c_p_t_taxonomy', $c_p_t_taxonomy );
    }
    
}

// get taxonomies data
$taxonomies = '';
if( isset( $_GET['taxonomies'] ) && $_GET['taxonomies'] !== '' ) {
    
    $taxonomies = sanitize_text_field( $_GET['taxonomies'] );
   if( isset( $c_p_t_taxonomy[ $taxonomies ] ) &&  $c_p_t_taxonomy[ $taxonomies ] !== '' ) {
        $slug               =   $taxonomies; 
        $post_type          =   $c_p_t_taxonomy[$taxonomies]['post_type'];
        $name               =   $c_p_t_taxonomy[$taxonomies]['name'];
        $singular_name      =   $c_p_t_taxonomy[$taxonomies]['singular_name'];
        $search_items       =   $c_p_t_taxonomy[$taxonomies]['search_items'];
        $all_items          =   $c_p_t_taxonomy[$taxonomies]['all_items'];
        $parent_item        =   $c_p_t_taxonomy[$taxonomies]['parent_item'];
        $parent_item_colon  =   $c_p_t_taxonomy[$taxonomies]['parent_item_colon'];
        $edit_item          =   $c_p_t_taxonomy[$taxonomies]['edit_item'];
        $update_item        =   $c_p_t_taxonomy[$taxonomies]['update_item'];
        $add_new_item       =   $c_p_t_taxonomy[$taxonomies]['add_new_item'];
        $new_item_name      =   $c_p_t_taxonomy[$taxonomies]['new_item_name'];
        $menu_name          =   $c_p_t_taxonomy[$taxonomies]['menu_name'];
   }
}

// update taxonomies data 
if( 'update-taxonomies' === $current_tab ) {
  
    if( isset( $c_p_t_taxonomy[ $taxonomies ] ) && $c_p_t_taxonomy[ $taxonomies ] !== '' ) {
        if( !empty( $name ) && !empty( $taxonomy_post ) ) {
            
            $c_p_t_taxonomy[$taxonomies] = [
                'post_type'         => $taxonomy_post,
                'name'              => $name,
                'singular_name'     => $singular_name,
                'search_items'      => $search_items,
                'all_items'         => $all_items,
                'parent_item'       => $parent_item,
                'parent_item_colon' => $parent_item_colon,
                'edit_item'         => $edit_item,
                'update_item'       => $update_item,
                'add_new_item'      => $add_new_item,
                'new_item_name'     => $new_item_name,
                'menu_name'         => $menu_name,
            ];

            if( is_array( $c_p_t_taxonomy ) ) {
                update_option( 'c_p_t_taxonomy', $c_p_t_taxonomy );
            }
        }
    }
}

// delete post
if( isset( $_GET['delete'] ) && $_GET['delete'] !== '' ) {

    $delete = sanitize_text_field( $_GET['delete'] );
    
    unset( $c_p_t_taxonomy[$delete] );
    if( is_array( $c_p_t_taxonomy ) ) {
        update_option( 'c_p_t_taxonomy', $c_p_t_taxonomy );
        $redirect = admin_url( 'admin.php?page=c-p-t-taxonomies' ); ?>
        <script>location.href = <?php echo esc_attr( $redirect ); ?></script>
        <?php
    }
  
}
