
<?php 
    $c_p_t_taxonomy = get_option( 'c_p_t_taxonomy' );    
    require_once 'taxonomies-update.php';
?>
<!-- Main content -->
<div class="h-screen flex-grow-1 overflow-y-lg-auto">
    <!-- Header -->
    <header class="bg-surface-primary border-bottom pt-6">
        <div class="container-fluid">
            <div class="mb-npx">
                <div class="row align-items-center">
                    <div class="col-sm-6 col-12 mb-4 mb-sm-0">
                        <!-- Title -->
                        <h1 class="h2 mb-0 ls-tight"><?php _e( 'Taxonomies', 'easy-custom-post-type-ui' ); ?></h1>
                    </div>
                </div>

                <!-- Nav -->
                <ul class="nav nav-tabs mt-4 overflow-x border-0">
                    <li class="nav-item <?php echo esc_attr( $first_tab_active ); ?>">
                        <a href="<?php echo esc_url( admin_url( 'admin.php?page=c-p-t-taxonomies' ) ); ?>" class="nav-link <?php echo esc_attr( $first_tab_active ); ?>">
                            <?php _e( 'All Taxonomies', 'easy-custom-post-type-ui' ); ?>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="<?php echo esc_url( admin_url( 'admin.php?page=c-p-t-taxonomies&tab=add-taxonomies' ) ); ?>" class="nav-link <?php echo ( 'add-taxonomies' === $current_tab ) ? 'active' : '';  ?>">
                            <?php _e( 'Add Taxonomies', 'easy-custom-post-type-ui' ); ?>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="<?php echo esc_url( admin_url( 'admin.php?page=c-p-t-taxonomies&tab=update-taxonomies' ) ); ?>" class="nav-link <?php echo ( 'update-taxonomies' === $current_tab ) ? 'active' : '';  echo ( 'update-taxonomies' === $current_tab ) ? '' : 'hidden'; ?>">
                            <?php _e( 'Edit Taxonomies', 'easy-custom-post-type-ui' ); ?>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </header>

    <!-- Main -->
    <main class="py-6 bg-surface-secondary ">
        <div class="container-fluid">
            <div class="<?php echo ( esc_attr( $first_tab_active ) ) ? '' : 'hidden'; ?>">
                <!-- Card stats -->
                <div class="row g-6 mb-6">
                    <div class="col-xl-3 col-sm-6 col-12">
                        <div class="card shadow border-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <span class="h6 font-semibold text-muted text-sm d-block mb-2"><?php _e( 'Total Taxonomy', 'easy-custom-post-type-ui' ); ?></span>
                                        <?php
                                            if( !empty( $c_p_t_taxonomy ) ){
                                                echo '<span class="h3 font-bold mb-0">'.count( $c_p_t_taxonomy ).'</span>';
                                            }
                                        ?>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-primary text-white text-lg rounded-circle">
                                            <i class="bi bi-people"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--- Table Start --->
                <div class="card shadow border-0 mb-7 ">
                    <div class="card-header">
                        <h5 class="mb-0"><?php _e( 'Add Edit Post Types' ); ?></h5>
                    </div>
                    <div class="table-responsive">
                        <table class="table table-hover table-nowrap">
                            <thead class="thead-light">
                                <tr>
                                    <th scope="col"><?php _e( 'Taxonomy Slug',      'easy-custom-post-type-ui' ); ?></th>
                                    <th scope="col"><?php _e( 'Taxonomy Name',      'easy-custom-post-type-ui' ); ?></th>
                                    <th scope="col"><?php _e( 'Taxonomy Post Type', 'easy-custom-post-type-ui' ); ?></th>
                                    <th scope="col"><?php _e( 'Action',             'easy-custom-post-type-ui' ); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    if( !empty( $c_p_t_taxonomy ) ) {
                                        foreach ( $c_p_t_taxonomy as $key => $taxonomy ) { ?>
                                            <tr>
                                                <td>
                                                    <p><?php echo esc_attr( $key ); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo esc_attr( $taxonomy['name'] ); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo esc_attr( $taxonomy['post_type'] ); ?></p>
                                                </td>
                                                <td>
                                                    <a href="<?php echo esc_url( admin_url( 'admin.php?page=c-p-t-taxonomies&tab=update-taxonomies&taxonomies=' . $key . '' ) ); ?>" class="btn btn-sm btn-neutral"><?php _e( 'Edit', 'cpt' ); ?></a>
                                                    <a href="<?php echo esc_url( admin_url( 'admin.php?page=c-p-t-taxonomies&delete=' . $key . '' ) ); ?>" type="button" class="btn btn-sm btn-square btn-neutral text-danger-hover">
                                                        <i class="bi bi-trash"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        <?php }
                                    }
                                ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>

            <div class="<?php echo ( $first_tab_active ) ? 'hidden' : ''; ?>">

                <section class="post-section">
                    <div class="l-inner">                        
                        <!-- Main Settings Start -->
                        <details class="post-section-item">
                            <summary class="post-section-question"><?php _e( 'Settings', 'easy-custom-post-type-ui' ); ?><span class="post-section-icon"></span></summary>
                            <div class="post-section-answer">
                                <div class="post-section-answer-inner">

                                    <div class="post-input-group <?php echo ( 'c-p-t-taxonomies&tab=update-taxonomies' === $current_tab ) ? 'hidden' : ''; ?>">
                                        <input type="text" name="_taxonomies_slug" value="<?php echo ( isset( $slug ) ? esc_html( $slug ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Slug', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'The Taxonomy name/slug. Used for various queries for taxonomy content..', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_name" value="<?php echo ( isset( $name ) ? esc_html( $name ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Name', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Used For The Taxonomy Admin Menu Item.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_singular_name" value="<?php echo ( isset( $singular_name ) ? esc_html( $singular_name ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Singular Name', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Used When A Singular Label Is Needed.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_search_items" value="<?php echo ( isset( $search_items ) ? esc_html( $search_items ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Search Items', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Custom taxonomy label. Used in the admin menu for displaying taxonomies.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_all_items" value="<?php echo ( isset( $all_items ) ? esc_html( $all_items ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies All Items', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Used as tab text when showing all terms for hierarchical taxonomy while editing post.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_parent_item" value="<?php echo ( isset( $parent_item ) ? esc_html( $parent_item ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Parent Item', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Custom Taxonomy Label. Used in the admin menu for displaying taxonomies.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_parent_item_colon" value="<?php echo ( isset( $parent_item_colon ) ? esc_html( $parent_item_colon ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Parent Item Colon', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Custom taxonomy label. Used in the admin menu for displaying taxonomies.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_edit_item" value="<?php echo ( isset( $edit_item ) ? esc_html( $edit_item ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Edit Item', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Used at the top of the term editor screen for an existing taxonomy term.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_update_item" value="<?php echo ( isset( $update_item ) ? esc_html( $update_item ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Update Item', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Custom taxonomy label. Used in the admin menu for displaying taxonomies.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_add_new_item" value="<?php echo ( isset( $add_new_item ) ? esc_html( $add_new_item ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Add New Item', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Used at the top of the term editor screen and button text for a new taxonomy term.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_new_item_name" value="<?php echo ( isset( $new_item_name ) ? esc_html( $new_item_name ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies New Item Name', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Custom taxonomy label. Used in the admin menu for displaying taxonomies.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>

                                    <div class="post-input-group">
                                        <input type="text" name="_taxonomies_menu_name" value="<?php echo ( isset( $menu_name ) ? esc_html( $menu_name ) : '' ); ?>" required>
                                        <span class="highlight"></span>
                                        <span class="bar"></span>
                                        <label><?php _e( 'Taxonomies Menu Name', 'easy-custom-post-type-ui' ); ?></label>
                                        <p><?php _e( 'Custom admin menu name for your taxonomy.', 'easy-custom-post-type-ui' ); ?></p>
                                    </div>
                                    
                                    
                                    <table>
                                        <tbody>
                                            <?php
                                                $post_types = get_post_types( array( 'public' => true,  ), 'names', 'and' );
                                                unset( $post_types['attachment'] );
                                                foreach ( $post_types as $key => $posts ) { ?>
                                                   <tr>
                                                        <td>
                                                            <label for=""><?php _e( $posts, 'easy-custom-post-type-ui'); ?></label>
                                                        </td>
                                                        <td>
                                                            <label>
                                                                <input type="checkbox" class="post-supports-switch taxonomy-switch" name="_taxonomy_post"  value=<?php echo esc_attr( $posts ); ?> <?php echo ( isset( $post_type ) && ( esc_attr( $posts ) == esc_attr( $post_type ) ) ) ? ' checked="checked"' : ''; ?> >
                                                                <span class="toggle_background">
                                                                    <div class="circle-icon"></div>
                                                                    <div class="vertical_line"></div>
                                                                </span>
                                                            </label>
                                                        </td>
                                                    </tr>
                                                    <?php
                                                }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </details>
                        <!-- Main Settings End -->
                    </div>
                </section>
                <div class="submit-btn-section">
                    <button class="custom-btn btn-12"><span><?php _e( 'Click!', 'easy-custom-post-type-ui' ) ?></span><span><?php _e( 'Submit', 'easy-custom-post-type-ui' ) ?></span></button>
                </div>
            </div>
        </div>
    </main>
</div>