<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://hashtechy.com
 * @since      1.0.0
 *
 * @package    Easy_Custom_Post_Type_Ui
 * @subpackage Easy_Custom_Post_Type_Ui/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Easy_Custom_Post_Type_Ui
 * @subpackage Easy_Custom_Post_Type_Ui/includes
 * @author     Hashtechy <tech@hashtechy.com>
 */
class Easy_Custom_Post_Type_Ui_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'easy-custom-post-type-ui',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
